---
kind: pipeline
name: Déploiement du Theme Test

steps:
        - name: Clone Git Submodules
          image: alpine/git
          commands:
                  # - git clone https://git.deligraph.be/Antoine/Deligraph-V3.git
                  # - git submodule update --recursive --remote
                  - touch salut.txt

        - name: Deploy to FTP server
          image: cschlosser/drone-ftps
          environment:
                  FTP_USERNAME:
                          from_secret: ftp_username
                  FTP_PASSWORD:
                          from_secret: ftp_password
                  PLUGIN_SECURE: false
                  PLUGIN_VERIFY: false
                  PLUGIN_HOSTNAME: ftp://test.deligraph.com
                  PLUGIN_SRC_DIR: /Deligraph-V3
                  PLUGIN_DEST_DIR: /test
                  PLUGIN_AUTO_CONFIRM: true
                  PLUGIN_DEBUG: true
                  PLUGIN_ONLY_NEWER: true
